/*
 * jGuild Project: jRPM
 * Released under the Apache License ( http://www.apache.org/LICENSE )
 */
package com.jguild.jrpm.io.constant;


/**
 * Interface for all enum objects
 *
 * @author kuss
 */
public interface EnumIf {
    /** Global unknown id */
    public static final int _UNKNOWN = -1;

    /**
     * Get the id of this enum object
     *
     * @return The id
     */
    public abstract long getId();

    /**
     * Get the name of this enum object
     *
     * @return The name
     */
    public abstract String getName();
}
